[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[THREDDS #ZSX-818257]: bug in GetMetadata projection parameter (CRS vs. SRS)?



Hi John,

the GetMetadata requests are extensions of the ncWMS to the WMS specification 
and the version parameter is not mandatory for them. In particular, the minmax 
request defaults to 1.1.1 version and this is why it always requires the SRS 
param, regardless the version.
Anyway, this is not really hard to fix and, since the version parameter is not 
mandatory, we could use version 1.1.1 as default and then if the version param 
is 1.3.0, require CRS instead of SRS.
Also, keep in mind if you use WMS version 1.3.0 and CRS=EPSG:4326 the order of 
the coordinates is lat-lon.

Cheers!
Marcos Hermida.    

Ticket Details
===================
Ticket ID: ZSX-818257
Department: Support THREDDS
Priority: Normal
Status: Open


NOTE: All email exchanges with Unidata User Support are recorded in the Unidata inquiry tracking system and then made publicly available through the web. If you do not want to have your interactions made available in this way, you must let us know in each email you send to us.